<template>
  <ul class="list-group col-md-4">
    <VideoListItem 
        v-for="video in videos" 
        :key="video.etag"
        :video="video"
        @video-select="onVideoSelect"
    ></VideoListItem>
  </ul>
</template>

<script>
import VideoListItem from "@/components/VideoListItem";

export default {
  name: "VideoList",
  components: {
    VideoListItem,
  },
  props: ["videos"],
  methods: {
    onVideoSelect(video) {
      this.$emit('video-select', video);
    }
  }
};
</script>

<style>
</style>